Subject: curled leaves on violets-help

From: [email-masked] [Maura O'Neill]
Date: Mon, 6 Mar 1995 06:30:59 GMT

I live in the Santa Cruz Mountains, and have an abundance of violets (odorata,	
etc), and for the past few years, they have all developed curly leaves (VERY
curled, and hard, and there is something in there!) I noticed even the local
nurseries violets have them, but they don't know what it is. So far, I have just
been picking off the curled leaves and throwing them away, and they bloom
alright, maybe not quite as much as before, but I won't use poisons, does
anyone know what this is? and a nontoxic way to deal with them?
Violets are my weeds, but I am comfortable with
them, (and like them), and want to help them out. The THINGS in the leaves 
look like very tiny white worms - and I haven't seen anything develop from 
them even though I have missed picking all the curled leaves off as these violets
are everywhere in my yard and gardens.
any information will be greatly appreciated
thanks, Maura